const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_a = esi_global_2d_to_2d_local;
    v0_b = edi_global_2d_to_2d_local;
    esi_global_2d_to_2d_local = arg1;
    edi_global_2d_to_2d_local = arg1[48];
    v0_12 = z.x # bp+12;
    v3_16 = z.x # bp+16;
    v3_1a = z.y;
    v3_1e = z.z;
    v2_30 = fabsl(sqrtl(v3_16 * v3_16 + v3_1a * v3_1a + v3_1e * v3_1e)) # bp+30;
    z.x = __asm_fyl2x(v0_b, v0_a, ebx_global_2d_to_2d_local);
    z.x = __asm_fprem();
    z.x = __asm_f2xm1();
    v4_3c = v2_30 + 1.0;
    z.x = __asm_fscale();
    v3_47 = z.x # bp+47;
    v3_4b = z.z;
    z.x = __asm_fpatan(sqrtl(v3_47 * v3_47 + v3_4b * v3_4b), v4_3c);
    v7_5a = z.y * *((edi_global_2d_to_2d_local - 16));
    if fabsl(v7_5a) < 9223372036854775808.0:;
        # bb;
        v4_5d = sinl(v7_5a);
        v7_5d = cosl(v7_5a);
    else:;
        # 0x0;
        v4_5d = v7_5a;
        v7_5d = v2_30;
    # bb253;
    z.x = __asm_fpatan(v7_5d, v4_5d);
    v7_6c = z.z * *((edi_global_2d_to_2d_local - 24));
    if fabsl(v7_6c) < 9223372036854775808.0:;
        # bb254;
        v4_6f = sinl(v7_6c);
        v7_6f = cosl(v7_6c);
    else:;
        # ._crit_edge;
        v4_6f = v7_6c;
        v7_6f = st3_global_2d_to_2d_local;
    *v0_12 = v4_5d * v4_6f * v4_3c + esi_global_2d_to_2d_local[24];
    *z.y = v4_3c * v7_5d + esi_global_2d_to_2d_local[32];
    *z.z = v4_5d * v7_6f * *((edi_global_2d_to_2d_local - 32)) * v4_3c + esi_global_2d_to_2d_local[40];
    z.x = v0_12;
    return v0_12;


	}